> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/configuration-and-organisation/configure_tags.md).

# Tags

Tags are used throughout the CMS in order to easily organise and categorise items to make it easier for Users to locate and use.

Tags act as keywords or labels which when assigned to items enhances the search functionality for Users.

## How-to Video Managing Tags

{% embed url="<https://youtu.be/yH48zbttIi0>" %}

Tags can be created by Users from various forms throughout the CMS, as well as created and managed by Administrators from the Tags page under the Administration section of the main CMS menu.

Create and assign **Tags** to items throughout the CMS using the Tag field on forms. As text is entered, an auto-complete helper will show possible matches to make it easier for Users to see what Tags are already available to select from:

* Select a **Tag** from the list or create a new one by directly typing in the Tag field.

Tags can also be be created by Administrators from the **Tags** page under the **Administration** section of the main CMS menu.

* Click the **Add Tag** button and give it a **Name**.

Tags can optionally have Tag Values associated with them. For example, you could have a Reception Tag, with reception areas across multiple sites. These could be differentiated using Values by creating a comma separated string of numbers, 1,2,3.

The **Required Value** checkbox is used to ensure that a User ***must*** select a Value in order to successfully assign the Tag to the item.

Once enabled, when the Tag is selected by Users, any associated Values will be shown for selection. A warning message will be shown to Users who do not select a Value to prompt them to do so.

Users can also add associated Values to Tags using the **Tag Value** field in forms.

Administrators can view all **System Tags** from the Tag management page and view Usage reports using the row menu for each individual Tag.

Select multiple tags using the checkbox in the grid and delete in bulk.

## FAQs

*Can I use filter options to exclude Tags from searches?*

* Enter `-Tag` to exclude the tag from search results.
* Enter `-|Value` to exclude the value from search results.
* Enter `-Tag|Value` to exclude both tag and value from search results.

You can have a comma separated mix of all the above!

* If you want to show all items that have **not** got a tag then enter `--no-tag`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xibosignage.com/configuration-and-organisation/configure_tags.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
